Skip to main content
POST
/
posts
/
list
List posts
curl --request POST \
  --url https://api.woopsocial.com/v1/posts/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": "<string>",
  "deliveryStatus": "NOT_STARTED",
  "limit": 50,
  "cursor": "<string>",
  "ids": [
    "<string>"
  ]
}
'
{
  "posts": [
    {
      "id": "<string>",
      "projectId": "<string>",
      "socialAccountId": "<string>",
      "platform": "PINTEREST",
      "username": "<string>",
      "deliveryStatus": "NOT_STARTED",
      "scheduledForUTC": "2023-11-07T05:31:56Z",
      "sentAt": "2023-11-07T05:31:56Z",
      "title": "<string>",
      "description": "<string>",
      "firstComment": "<string>",
      "media": [
        {
          "mediaId": "<string>",
          "type": "IMAGE",
          "url": "<string>",
          "thumbnailUrl": "<string>"
        }
      ],
      "platformSpecificData": {
        "pinterest": {
          "pinterestBoardId": "<string>"
        },
        "instagram": {
          "postType": "POST"
        },
        "facebook": {
          "postType": "TEXT_ONLY",
          "link": "<string>"
        },
        "tiktok": {
          "postType": "VIDEO",
          "privacyLevel": "PUBLIC_TO_EVERYONE",
          "allowComment": true,
          "allowDuet": true,
          "allowStitch": true,
          "contentDisclosureEnabled": true,
          "isYourBrand": true,
          "isBrandedContent": true,
          "autoAddMusic": true
        },
        "youtube": {
          "privacy": "public",
          "category": "<string>",
          "tags": [
            "<string>"
          ],
          "madeForKids": true
        }
      },
      "externalPostId": "<string>",
      "externalPostUrl": "<string>",
      "errorMessage": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
projectId
string

Filter to resources that belong to a specific project.

deliveryStatus
enum<string>

Filter to a single delivery status.

Available options:
NOT_STARTED,
SENDING,
SENT,
FAILED
limit
integer<int32>
default:50

Number of items to return. Defaults to 50. Maximum 100.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor for the next page of results.

ids
string[]

Filter to specific post IDs. When provided, only posts with matching IDs are returned.

Response

200 - application/json

Outbound posts for the projects the API key has access to.

posts
object[]
required
nextCursor
string

Opaque cursor for the next page of results. Omitted when there are no more results.